#!/bin/bash

if [ "$EUID" -ne 0 ]
   then echo "Please run as root"
   exit
fi

SCRIPTPATH="$( cd "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )"

if service --status-all | grep -Fq 'dovecot_exporter'; then    
   service dovecot_exporter stop    
fi

echo "Copying exporter"

mkdir -p /usr/prometheus

echo "Checking/Creating systemd configuration"

cp $SCRIPTPATH/dovecot_exporter /usr/prometheus/dovecot_exporter
chmod +x /usr/prometheus/dovecot_exporter

cp $SCRIPTPATH/dovecot_exporter.service /etc/systemd/system/

echo "Starting exporter"

systemctl enable dovecot_exporter.service
service dovecot_exporter start

echo "Exporter available at :9166"
